LINUX.ORG.RU

Проблема с GPG при установки pepperflash

 , ,


0

2

При установке pepperflash в Kubuntu 16.10 получил такой выхлоп:

$ sudo apt install pepperflashplugin-nonfree
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Предлагаемые пакеты:
  ttf-mscorefonts-installer ttf-dejavu ttf-xfree86-nonfree
НОВЫЕ пакеты, которые будут установлены:
  pepperflashplugin-nonfree
обновлено 0, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 0 B/11,1 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 41,0 kB.
Выбор ранее не выбранного пакета pepperflashplugin-nonfree.
(Чтение базы данных … на данный момент установлено 221367 файлов и каталогов.)
Подготовка к распаковке …/pepperflashplugin-nonfree_1.8.2+nmu1ubuntu1_amd64.deb …
Распаковывается pepperflashplugin-nonfree (1.8.2+nmu1ubuntu1) …
Настраивается пакет pepperflashplugin-nonfree (1.8.2+nmu1ubuntu1) …
ERROR: failed to retrieve status information from google : W: Ошибка GPG: http://dl.google.com/linux/chrome/deb stable Release: Следующие подписи не могут быть проверены, так как недоступен открытый ключ: NO_PUBKEY A040830F7FAC5991 NO_PUBKEY 1397BC53640DB551
W: Репозиторий «http://dl.google.com/linux/chrome/deb stable Release» не подписан.
E: flAbsPath on ./var/lib/dpkg/status failed - realpath (2: Нет такого файла или каталога)
E: Не удалось открыть файл  - open (2: Нет такого файла или каталога)
E: Problem opening 
E: Списки пакетов или файл состояния не могут быть открыты или прочитаны.
More information might be available at:
  http://wiki.debian.org/PepperFlashPlayer

Тут нашёл


Execute the following commands in terminal

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys <PUBKEY>

where <PUBKEY> is your missing public key for repository, e.g. 8BAF9A6F.

Then update

sudo apt-get update

ALTERNATE METHOD:

sudo gpg --keyserver pgpkeys.mit.edu --recv-key  <PUBKEY>
sudo gpg -a --export <PUBKEY> | sudo apt-key add -
sudo apt-get update

но не помогло. Как можно решить проблему?

Скачай руками deb пакет для установки Google Chrome с сайта Google, распакуй его и возьми оттуда файлы плагина.

kostik87 ★★★★★ ()
Ответ на: комментарий от fornlr

Печаль. Только что-то не работает adobe-flashplugin, в списке плагин есть, он включен:

Adobe Flash Player - Версия: 11.2.999.999

но вместо содержимого «не удалось загрузить плагин»

flyshoot ()
Ответ на: комментарий от flyshoot

Adobe Flash Player - Версия: 11.2.999.999

Версия какая-то стрёмная.
Удалите начисто, чтобы пропал из списка, и установите заново.

ArcFi ()

Скачайте файл flash_player_ppapi_linux.x86_64.tar.gz. Извлеките из архива файл libpepflashplayer.so и разместите его в одной из двух библиотек:

 /usr/lib/PepperFlash/libpepflashplayer.so
 /usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so
тут

MoxHAT ()
Ответ на: комментарий от MoxHAT

Огромное спасибо, скачать скачал, как раз искал куда закинуть и тут Ваше сообщение, очень кстати.

flyshoot ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.